## node-tilelive-mapnik 0.6.1

=== Makefile ===
all:
	npm install

clean:
	rm -rf node_modules/*

ifndef only
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec test/
else
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec test/${only}.test.js
endif

check:
	npm test

.PHONY: test check

## node-tilelive-mapnik 0.2.1

=== debian/changelog ===
node-tilelive-mapnik (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #646685)

 -- David Paleino <dapal@debian.org>  Wed, 26 Oct 2011 12:22:58 +0200

=== debian/control ===
Source: node-tilelive-mapnik
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: http://github.com/mapbox/tilelive-mapnik
Vcs-Git: git://git.debian.org/collab-maint/node-tilelive-mapnik.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-tilelive-mapnik.git;a=summary

Package: node-tilelive-mapnik
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-eio
 , node-step
 , node-underscore
 , node-sphericalmercator
 , node-mapnik
 , node-generic-pool
Description: mapnik renderer backend for node-tilelive
 Renderer backend for node-tilelive that uses node-mapnik to render tiles
 and grids from a Mapnik XML file.
 It implements the Tilesource API.

## node-tilelive-mapnik 0.3.0

=== debian/changelog ===
node-tilelive-mapnik (0.3.0-1) unstable; urgency=low

  * New upstream version
  * Bump runtime dependencies requirements
  * Bump Standards-Version to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 11:58:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://github.com/mapbox/tilelive-mapnik
 Vcs-Git: git://git.debian.org/collab-maint/node-tilelive-mapnik.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-tilelive-mapnik.git;a=summary
@@ -16,12 +16,12 @@
 Depends:
  ${misc:Depends}
  , nodejs
- , node-eio
- , node-step
- , node-underscore
- , node-sphericalmercator
- , node-mapnik
- , node-generic-pool
+ , node-eio (>= 0.1.0)
+ , node-step (>= 0.0.5)
+ , node-underscore (>= 1.3.1)
+ , node-sphericalmercator (>= 1.0.1)
+ , node-mapnik (>= 0.6.7)
+ , node-generic-pool (>= 1.0.9)
 Description: mapnik renderer backend for node-tilelive
  Renderer backend for node-tilelive that uses node-mapnik to render tiles
  and grids from a Mapnik XML file.

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=tilelive-mapnik \
	http://registry.npmjs.org/tilelive-mapnik/-/tilelive-mapnik-(\d+.*)\.tgz

## node-tilelive-mapnik 0.6.1

=== debian/changelog ===
node-tilelive-mapnik (0.6.1-1) unstable; urgency=low

  * New upstream version 

 -- Jérémy Lal <kapouer@melix.org>  Wed, 18 Sep 2013 22:38:06 +0200

node-tilelive-mapnik (0.5.0-1) unstable; urgency=low

  * New upstream version
  * Standards-Version 3.9.4
  * Depends node-mime, tighten dependencies on node-mapnik >= 1.1.3~
    and node-generic-pool >= 2.0.3~
  * Drop dependency on node-eio, useless with current nodejs
  * Use BSD-3-clause keyword in copyright, update Source field,
    add copyright for world_merc files.
  * Canonicalize Vcs fields
  * Rewrite and extend descriptions
  * Disable dh_auto_test, dh_auto_build because of the Makefile

 -- Jérémy Lal <kapouer@melix.org>  Tue, 03 Sep 2013 00:14:47 +0200

=== debian/control ===
Source: node-tilelive-mapnik
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.4
Homepage: http://github.com/mapbox/tilelive-mapnik
Vcs-Git: git://anonscm.debian.org/collab-maint/node-tilelive-mapnik.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-tilelive-mapnik.git

Package: node-tilelive-mapnik
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-step (>= 0.0.5)
 , node-underscore (>= 1.3.1)
 , node-sphericalmercator (>= 1.0.1)
 , node-mapnik (>= 1.1.3~)
 , node-generic-pool (>= 2.0.3~)
 , node-mime
Description: Tilelive store for mapnik datasources rendering - Node.js module
 node-tilelive-mapnik implements the tilelive API for rendering tiles and
 grids from a Mapnik XML file.
 .
 node-tilelive is an interface for tile backends for Node.js.
 .
 mapnik is a C++/Python toolkit for developing GIS applications.
 .
 Node.js is an event-based server-side javascript engine.

## node-tilelive-mapnik 0.6.8

=== debian/changelog ===
node-tilelive-mapnik (0.6.8-1) unstable; urgency=medium

  * New upstream version
  * Replace broken index.js link by package.json (Closes: #743148).
  * Standards-Version 3.9.5

 -- Jérémy Lal <kapouer@melix.org>  Mon, 31 Mar 2014 01:07:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://github.com/mapbox/tilelive-mapnik
 Vcs-Git: git://anonscm.debian.org/collab-maint/node-tilelive-mapnik.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-tilelive-mapnik.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_build:
override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-tilelive-mapnik-$1.tar.gz/ \
https://github.com/mapbox/tilelive-mapnik/tags .*/archive/v?([\d\.]+).tar.gz
